package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.ObeCultureProgramTarget;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 培养方案培养目标 服务类
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
public interface ObeCultureProgramTargetService extends IService<ObeCultureProgramTarget> {
    List<ObeCultureProgramTarget> list(Long cultureProgramId);

    boolean saveData(ObeCultureProgramTarget obeCultureProgramTarget);

    boolean delete(Long id);

    void removeByCultureProgramId(Long id);

    Map<Long, Long> copyByCultureProgramId(Long id, Long obeCultureProgramNewId);
}
